summaryrefslogtreecommitdiff
path: root/buildbot/wallet-integrationtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/wallet-integrationtests.sh')
-rwxr-xr-xbuildbot/wallet-integrationtests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/buildbot/wallet-integrationtests.sh b/buildbot/wallet-integrationtests.sh
new file mode 100755
index 0000000..63322f0
--- /dev/null
+++ b/buildbot/wallet-integrationtests.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Runs simple withdraw+spend test at the running demo.taler.net
+# serice. Usually run from within the demo-$color itself, in order
+# to easily read the merchant token from the environment.
+set -eu
+
+source "${HOME}/activate"
+taler-deployment build
+taler-wallet-cli testing run-integrationtests